Page 1 of 2

Выбор версии php

Posted: Thu Dec 05, 2019 11:44 am
by qwaros
Привет! При установке панели по умолчанию начал устанавливаться пхп 7.3 в последнее вермя. Как я могу откатить/выбрать версию пхп для работы моих скриптов? Они у меня крыты ioncube под версией 5.6 и только под ней работают ( И никак не запускаются под 7.+ Пробовал накатить шаблонами но безуспешно, ионкуб попросту не становится...вернее становится, php -v показывает его наличие но он не работает, скрипты не запускаются и просят его установить ( Собственно вопрос - как мне откатить этот чудесный 7 пехепе на старый добрый 5.6??

Re: Выбор версии php

Posted: Sat Dec 07, 2019 6:28 pm
by tsyuha
Добрый день.
Устанавливается тот пхп который есть в репозиториях вашей ос. Можно перед установкой проверять версию в них и корректировать заранее. Если же Ос и панель уже установлена то смена пхп зависит от того какая ОС установлена

Re: Выбор версии php

Posted: Sun Dec 08, 2019 11:31 am
by Skorsa
У меня прямо противоположный вопрос - в стандартной комплектации vesta сейчас входит 7-ая версия php или 5.6 ? Если 7, то переустановлю Весту на php 7 (и удалю некоторые лишние модули), так как селектор жутко тормозит VPS.

Re: Выбор версии php

Posted: Sun Dec 08, 2019 12:40 pm
by grayfolk
Skorsa wrote:
Sun Dec 08, 2019 11:31 am
У меня прямо противоположный вопрос - в стандартной комплектации vesta сейчас входит 7-ая версия php или 5.6 ? Если 7, то переустановлю Весту на php 7 (и удалю некоторые лишние модули), так как селектор жутко тормозит VPS.
В комплектацию Весты не входит ничего.
Перечитайте:
tsyuha wrote:
Sat Dec 07, 2019 6:28 pm
Добрый день.
Устанавливается тот пхп который есть в репозиториях вашей ос.

Re: Выбор версии php

Posted: Sun Dec 08, 2019 1:38 pm
by Skorsa
grayfolk wrote:
Sun Dec 08, 2019 12:40 pm
В комплектацию Весты не входит ничего.
Перечитайте:
Ладно, допустим имеется чистая ЦентОС установленная хостером. Какой результат (версия php) будет у этой команды ?
bash vst-install.sh
А ещё лучше у этой команды (порезал всё что мне не нужно - dns, remi, firewall, quota, mail, softaculus)
bash vst-install.sh --nginx yes --apache yes --phpfpm no --named no --remi no --vsftpd yes --proftpd no --iptables no --fail2ban no --quota no --exim no --dovecot no --spamassassin no --clamav no --softaculous no --mysql yes --postgresql no

Re: Выбор версии php

Posted: Sun Dec 08, 2019 1:46 pm
by grayfolk
Skorsa wrote:
Sun Dec 08, 2019 1:38 pm
grayfolk wrote:
Sun Dec 08, 2019 12:40 pm
В комплектацию Весты не входит ничего.
Перечитайте:
Ладно, допустим имеется чистая ЦентОС установленная хостером. Какой результат (версия php) будет у этой команды ?
bash vst-install.sh
А ещё лучше у этой команды (порезал всё что мне не нужно - dns, remi, firewall, quota, mail, softaculus)
bash vst-install.sh --nginx yes --apache yes --phpfpm no --named no --remi no --vsftpd yes --proftpd no --iptables no --fail2ban no --quota no --exim no --dovecot no --spamassassin no --clamav no --softaculous no --mysql yes --postgresql no
Без понятия. Смотрите установленные репозитории и смотрите, какие версии в них есть. Не нравится - меняйте репозитории.
Еще раз: будет установлена версия из дефолтного репозитория. Веста к этому НЕ ИМЕЕТ ОТНОШЕНИЯ.

Смотрите:
Вы купили впс у, там, скажем, hetzner. Поставили туда CentOS, зашли, выполнили yum install php. Какая версия установится? Вот такая же и при установке Весты. Принцип понятен?

Re: Выбор версии php

Posted: Sun Dec 08, 2019 1:52 pm
by Skorsa
Погано. То есть всё зависит от предустановленного CentOS, а не от Весты ?
Если вместе с Вестой установить репозитарий remi, то установит php 7 или php 5,6 ? Как добиться чтобы вместе с Вестой установилась именно семёрка, а не 5,6 ?

Re: Выбор версии php

Posted: Sun Dec 08, 2019 1:53 pm
by Skorsa
Сейчас я это сделал с помощью селектора, но он скотина перегружает мой VPS, да и php 5,6 мне нафиг не нужен.

Re: Выбор версии php

Posted: Sun Dec 08, 2019 1:54 pm
by grayfolk
Skorsa wrote:
Sun Dec 08, 2019 1:52 pm
Погано. То есть всё зависит от предустановленного CentOS, а не от Весты ?
Если вместе с Вестой установить репозитарий remi, то установит php 7 или php 5,6 ? Как добиться чтобы вместе с Вестой установилась именно семёрка, а не 5,6 ?
Перед установкой Весты установить нужные репозитории, ненужные удалить. Ну и настроить. Всего-то.
Или после установки, обновить php на нужную версию.

Re: Выбор версии php

Posted: Sun Dec 08, 2019 1:57 pm
by Skorsa
Команды посоветуете ?